Class | WEBrick::HTTPServlet::ProcHandler
In: | webrick/httpservlet/prochandler.rb
Parent: | AbstractServlet

### Methods

do_GET do_POST get_instance new

### Public Class methods

new(proc)

[Source]

    # File webrick/httpservlet/prochandler.rb, line 21
          def initialize(proc)
            @proc = proc
          end

### Public Instance methods

do_GET(request, response)

[Source]

    # File webrick/httpservlet/prochandler.rb, line 25
          def do_GET(request, response)
            @proc.call(request, response)
          end

do_POST(request, response)

Alias for do_GET

get_instance(server, *options)

[Source]

    # File webrick/httpservlet/prochandler.rb, line 17
          def get_instance(server, *options)
            self
          end

[Validate]